/sales/sell-orders/{sellOrderId}
This endpoint allows you to delete a specific Sell Order (Sale).
deleteSellOrder
| Name | Type | Description |
|---|---|---|
sellOrderId
required
|
string |
The Sell Order (Sale) ID |
data
array
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X DELETE \
'https://api.sandbox.infraspeak.com/v3/sales/sell-orders/{sellOrderId}' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/sales/sell-orders/{sellOrderId}', {
method: 'DELETE',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->delete('https://api.sandbox.infraspeak.com/v3/sales/sell-orders/{sellOrderId}');
import requests
response = requests.delete(
'https://api.sandbox.infraspeak.com/v3/sales/sell-orders/{sellOrderId}',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()